﻿$ErrorActionPreference = 'Stop';

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url64bit      = 'https://github.com/Sigil-Ebook/Sigil/releases/download/1.4.2/Sigil-1.4.2-Windows-x64-Setup.exe'
	
  softwareName  = 'sigil'

  checksum64    = '7f527836d6029be5d0536193ef55fd7c010f8ed142a0f32a1243677daed0d0f1'
  checksumType64= 'sha256'

  silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
